﻿using Dto;
using Shared;

namespace API.Service;

public class UserDataServiceApi(IUserService<UserDTO> userService) : IUserService<UserDTO>
{
    public IEnumerable<UserDTO> GetUsers(int page, int number) => userService.GetUsers(page, number);

    public UserDTO GetUserById(int id) => userService.GetUserById(id);

    public UserDTO GetUserByUsername(string username) => userService.GetUserByUsername(username);

    public bool DeleteUser(int id) => userService.DeleteUser(id);

    public UserDTO UpdateUser(int id, UserDTO user) => userService.UpdateUser(id, user);

    public UserDTO CreateUser(string username, string password, string email, bool isAdmin) =>
        userService.CreateUser(username, password, email, isAdmin);
}